Show / Hide Table of Contents

# AsyncJointBreakTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncJointBreakTrigger : AsyncTriggerBase<float>, IUniTaskAsyncEnumerable<float>

##### Inheritance

System.Object → AsyncTriggerBase<System.Single> → AsyncJointBreakTrigger

##### Implements

IUniTaskAsyncEnumerable<System.Single>

### Members

#### Methods

Name | Description
--- | ---
GetOnJointBreakAsyncHandler() |
GetOnJointBreakAsyncHandler(CancellationToken) |
OnJointBreakAsync() |
OnJointBreakAsync(CancellationToken) |

### Methods

#### GetOnJointBreakAsyncHandler()

    public IAsyncOnJointBreakHandler GetOnJointBreakAsyncHandler()

##### Returns

IAsyncOnJointBreakHandler

#### GetOnJointBreakAsyncHandler(CancellationToken)

    public IAsyncOnJointBreakHandler GetOnJointBreakAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnJointBreakHandler

#### OnJointBreakAsync()

    public UniTask<float> OnJointBreakAsync()

##### Returns

UniTask<System.Single>

#### OnJointBreakAsync(CancellationToken)

    public UniTask<float> OnJointBreakAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<System.Single>

### Implements

IUniTaskAsyncEnumerable<T>